# Included Themes

Below is the documentation for the configuration and usage of all included themes.

## Aerial

Author:  [HTML5Up](https://html5up.net/)

### Preview

Full page preview: [https://html5up.net/aerial](https://html5up.net/aerial)

<iframe src="https://html5up.net/uploads/demos/aerial/" width="100%" height="500px">
</iframe>


### Usage

To use this theme in your code either initialize the project with "aerial" as the theme, or set it in your ```config.yml``` file:

```yaml
... # Other configuration settings
theme: aerial
... # Other configuration settings
```

**Notes**

Tips from the theme developer about the scrolling background:

> You can still use pretty much any image you want, but for best results make sure yours is: 
> 
> - Horizontally tileable
> - Wide and short 
> - About 1500px wide
> - Fades to a solid color either at the top of bottom (which is used to fill the empty space above or below your image).
> - The example image is [here](https://www.flickr.com/photos/ryanschroeder/11876741703)

#### Supported config settings

The following settings are supported and not supported in the ```config.yml``` file:

✅: Required

☑️: Optional

❌: Not Supported

```
name: ✅
background: ☑️
avatar: ❌
email: ☑️
phone: ☑️
biography: ❌
role: ☑️ (recommended)
company: ☑️ (recommended)
address: ❌
social: ☑️
  github: ☑️
  twitch: ☑️
  youtube: ☑️
  instagram: ☑️
  twitter: ☑️
  snapchat: ☑️
  linkedin: ☑️
  facebook: ☑️
```
#### Supported Sections

Below are a list of the supported, and unsupported sections.

✔️: Supported

❌: Not Supported

```yml
Projects: ❌
Education: ❌
Work Experience: ❌
Volunteering Experience: ❌
```

## Creative

Author:  [Start Bootstrap](https://startbootstrap.com)

Theme page: [https://startbootstrap.com/theme/creative](https://startbootstrap.com/theme/creative)

### Preview

Full page preview: [https://startbootstrap.com/previews/creative](https://startbootstrap.com/previews/creative)

<iframe src="https://startbootstrap.github.io/startbootstrap-creative/" width="100%" height="500px">
</iframe>

### Usage

To use this theme in your code either initialize the project with "creative" as the theme, or set it in your ```config.yml``` file:

```yaml
... # Other configuration settings
theme: creative
... # Other configuration settings
```

**Notes**

For images in projects the dimensions are (530px x 450px)

#### Supported config settings

The following settings are supported and not supported in the ```config.yml``` file:

✅: Required

☑️: Optional

❌: Not Supported

```
name: ✅
background: ☑️ (recommended)
avatar: ❌
email: ☑️
phone: ☑️
biography: ☑️ (recommended)
role: ☑️ (recommended)
company: ☑️ (recommended)
address: ☑️
social: ❌
  github: ❌
  twitch: ❌
  youtube: ❌
  instagram: ❌
  twitter: ❌
  snapchat: ❌
  linkedin: ❌
  facebook: ❌
```
#### Supported Sections

Below are a list of the supported, and unsupported sections.

✔️: Supported

❌: Not Supported

```yml
Projects: ✔️
Education: ❌
Work Experience: ❌
Volunteering Experience: ❌
```

## Dimension

Author:  [HTML5Up](https://html5up.net)

### Preview

Full page preview: [https://html5up.net/dimension](https://html5up.net/dimension)

<iframe src="https://html5up.net/uploads/demos/dimension/" width="100%" height="500px">
</iframe>

### Usage

To use this theme in your code either initialize the project with "dimension" as the theme, or set it in your ```config.yml``` file:

```yaml
... # Other configuration settings
theme: dimension
... # Other configuration settings
```

#### Supported config settings

The following settings are supported and not supported in the ```config.yml``` file:

✅: Required

☑️: Optional

❌: Not Supported

```
name: ✅
background: ☑️ (recommended)
avatar: ☑️
email: ☑️
phone: ☑️
biography: ✅
role: ☑️ (recommended)
company: ☑️ (recommended)
address: ☑️
social: ☑️
  github: ☑️
  twitch: ☑️
  youtube: ☑️
  instagram: ☑️
  twitter: ☑️
  snapchat: ☑️
  linkedin: ☑️
  facebook: ☑️
```
#### Supported Sections

Below are a list of the supported, and unsupported sections.

✔️: Supported

❌: Not Supported

```yml
Projects: ✔️
Education: ✔️
Work Experience: ✔️
Volunteering Experience: ✔️
```

## Ethereal

Author:  [HTML5Up](https://html5up.net)

### Preview

Full page preview: [https://html5up.net/ethereal](https://html5up.net/ethereal)

<iframe src="https://html5up.net/uploads/demos/ethereal/" width="100%" height="500px">
</iframe>

### Usage

To use this theme in your code either initialize the project with "ethereal" as the theme, or set it in your ```config.yml``` file:

```yaml
... # Other configuration settings
theme: ethereal
... # Other configuration settings
```

**Notes**

For best usage the avatar should be (525px x 900px)

#### Supported config settings

The following settings are supported and not supported in the ```config.yml``` file:

✅: Required

☑️: Optional

❌: Not Supported

```
name: ✅
background: ❌
avatar: ✅
email: ☑️
phone: ☑️
biography: ✅
role: ☑️ (recommended)
company: ☑️ (recommended)
address: ❌
social: ☑️
  github: ☑️
  twitch: ☑️
  youtube: ☑️
  instagram: ☑️
  twitter: ☑️
  snapchat: ☑️
  linkedin: ☑️
  facebook: ☑️
```
#### Supported Sections

Below are a list of the supported, and unsupported sections.

✔️: Supported

❌: Not Supported

```yml
Projects: ❌
Education: ✔️
Work Experience: ✔️
Volunteering Experience: ✔️
```

## Freelancer

Author:  [Start Bootstrap](https://startbootstrap.com)

Theme page: [https://startbootstrap.com/theme/freelancer](https://startbootstrap.com/theme/freelancer)


### Preview

Full page preview: [https://startbootstrap.com/previews/freelancer](https://startbootstrap.com/previews/freelancer)

<iframe src="https://startbootstrap.github.io/startbootstrap-freelancer/" width="100%" height="500px">
</iframe>

### Usage

To use this theme in your code either initialize the project with "freelancer" as the theme, or set it in your ```config.yml``` file:

```yaml
... # Other configuration settings
theme: freelancer
... # Other configuration settings
```

#### Supported config settings

The following settings are supported and not supported in the ```config.yml``` file:

✅: Required

☑️: Optional

❌: Not Supported

```
name: ✅
background: ❌
avatar: ☑️ (recommended)
email: ☑️
phone: ☑️
biography: ☑️ (recommended)
role: ☑️ (recommended)
company: ☑️ (recommended)
address: ☑️
social: ☑️
  github: ☑️
  twitch: ☑️
  youtube: ☑️
  instagram: ☑️
  twitter: ☑️
  snapchat: ☑️
  linkedin: ☑️
  facebook: ☑️
```
#### Supported Sections

Below are a list of the supported, and unsupported sections.

✔️: Supported

❌: Not Supported

```yml
Projects: ✔️
Education: ✔️
Work Experience: ✔️
Volunteering Experience: ✔️
```

## Identity

Author:  [HTML5Up](https://html5up.net/)

### Preview

Full page preview: [https://html5up.net/identity](https://html5up.net/identity)

<iframe src="https://html5up.net/uploads/demos/identity/" width="100%" height="500px">
</iframe>


### Usage

To use this theme in your code either initialize the project with "identity" as the theme, or set it in your ```config.yml``` file:

```yaml
... # Other configuration settings
theme: identity
... # Other configuration settings
```

#### Supported config settings

The following settings are supported and not supported in the ```config.yml``` file:

✅: Required

☑️: Optional

❌: Not Supported

```
name: ✅
background: ☑️
avatar: ✅
email: ☑️
phone: ☑️
biography: ❌
role: ☑️ 
company: ☑️
address: ❌
social: ☑️
  github: ☑️
  twitch: ☑️
  youtube: ☑️
  instagram: ☑️
  twitter: ☑️
  snapchat: ☑️
  linkedin: ☑️
  facebook: ☑️
```
#### Supported Sections

Below are a list of the supported, and unsupported sections.

✔️: Supported

❌: Not Supported

```yml
Projects: ❌
Education: ❌
Work Experience: ❌
Volunteering Experience: ❌
```

## Read Only

Author:  [HTML5Up](https://html5up.net/)

### Preview

Full page preview: [https://html5up.net/read-only](https://html5up.net/read-only)

<iframe src="https://html5up.net/uploads/demos/read-only/" width="100%" height="500px">
</iframe>

### Usage

To use this theme in your code either initialize the project with "read_only" as the theme, or set it in your ```config.yml``` file:

```yaml
... # Other configuration settings
theme: read_only
... # Other configuration settings
```

**Notes**

For images in projects the dimensions are (400px x 235px)

#### Supported config settings

The following settings are supported and not supported in the ```config.yml``` file:

✅: Required

☑️: Optional

❌: Not Supported

```
name: ✅
background: ✅
avatar: ✅
email: ☑️
phone: ☑️
biography: ✅
role: ☑️ 
company: ☑️
address: ❌
social: ☑️
  github: ☑️
  twitch: ☑️
  youtube: ☑️
  instagram: ☑️
  twitter: ☑️
  snapchat: ☑️
  linkedin: ☑️
  facebook: ☑️
```
#### Supported Sections

Below are a list of the supported, and unsupported sections.

✔️: Supported

❌: Not Supported

```yml
Projects: ✔️
Education: ✔️
Work Experience: ✔️
Volunteering Experience: ✔️
```

## Solid State

Author:  [HTML5Up](https://html5up.net/)

### Preview

Full page preview: [https://html5up.net/solid-state](https://html5up.net/solid-state)

<iframe src="https://html5up.net/uploads/demos/solid-state/" width="100%" height="500px">
</iframe>

### Usage

To use this theme in your code either initialize the project with "solid_state" as the theme, or set it in your ```config.yml``` file:

```yaml
... # Other configuration settings
theme: solid_state
... # Other configuration settings
```

**Notes**

For images in projects the dimensions are square (i.e. 500px x 500px)

#### Supported config settings

The following settings are supported and not supported in the ```config.yml``` file:

✅: Required

☑️: Optional

❌: Not Supported

```
name: ✅
background: ❌
avatar: ❌
email: ☑️
phone: ☑️
biography: ✅
role: ☑️ 
company: ☑️
address: ❌
social: ☑️
  github: ☑️
  twitch: ☑️
  youtube: ☑️
  instagram: ☑️
  twitter: ☑️
  snapchat: ☑️
  linkedin: ☑️
  facebook: ☑️
```
#### Supported Sections

Below are a list of the supported, and unsupported sections.

✔️: Supported

❌: Not Supported

```yml
Projects: ✔️
Education: ✔️
Work Experience: ✔️
Volunteering Experience: ✔️
```

## Strata

Author:  [HTML5Up](https://html5up.net)

### Preview

Full page preview: [https://html5up.net/strata](https://html5up.net/strata)

<iframe src="https://html5up.net/uploads/demos/strata/" width="100%" height="500px">
</iframe>

### Usage

To use this theme in your code either initialize the project with "strata" as the theme, or set it in your ```config.yml``` file:

```yaml
... # Other configuration settings
theme: strata
... # Other configuration settings
```

#### Supported config settings

The following settings are supported and not supported in the ```config.yml``` file:

✅: Required

☑️: Optional

❌: Not Supported

```
name: ✅
background: ☑️
avatar: ✅
email: ☑️
phone: ☑️
biography: ✅
role: ☑️
company: ☑️
address: ❌
social: ☑️
  github: ☑️
  twitch: ☑️
  youtube: ☑️
  instagram: ☑️
  twitter: ☑️
  snapchat: ☑️
  linkedin: ☑️
  facebook: ☑️
```
#### Supported Sections

Below are a list of the supported, and unsupported sections.

✔️: Supported

❌: Not Supported

```yml
Projects: ✔️
Education: ✔️
Work Experience: ✔️
Volunteering Experience: ✔️
```
